org.encog.neural.pattern

## Class FeedForwardPattern

- java.lang.Object
- - org.encog.neural.pattern.FeedForwardPattern

- All Implemented Interfaces:
    NeuralNetworkPattern

      public class FeedForwardPattern
      extends Object
      implements NeuralNetworkPattern

  Used to create feedforward neural networks. A feedforward network has an input and output layers separated by zero or more hidden layers. The feedforward neural network is one of the most common neural network patterns.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeedForwardPattern()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHiddenLayer(int count)` Add a hidden layer, with the specified number of neurons.
    `void` | `clear()` Clear out any hidden neurons.
    `MLMethod` | `generate()` Generate the feedforward neural network.
    `ActivationFunction` | `getActivationOutput()`
    `void` | `setActivationFunction(ActivationFunction activation)` Set the activation function to use on each of the layers.
    `void` | `setActivationOutput(ActivationFunction activationOutput)`
    `void` | `setInputNeurons(int count)` Set the number of input neurons.
    `void` | `setOutputNeurons(int count)` Set the number of output neurons.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeedForwardPattern

          public FeedForwardPattern()

  - ### Method Detail

    - #### addHiddenLayer

          public void addHiddenLayer(int count)

      Add a hidden layer, with the specified number of neurons.
      Specified by:
        `addHiddenLayer` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The number of neurons to add.

    - #### clear

          public void clear()

      Clear out any hidden neurons.
      Specified by:
        `clear` in interface `NeuralNetworkPattern`

    - #### generate

          public MLMethod generate()

      Generate the feedforward neural network.
      Specified by:
        `generate` in interface `NeuralNetworkPattern`
      Returns:
        The feedforward neural network.

    - #### setActivationFunction

          public void setActivationFunction(ActivationFunction activation)

      Set the activation function to use on each of the layers.
      Specified by:
        `setActivationFunction` in interface `NeuralNetworkPattern`
      Parameters:
        `activation` - The activation function.

    - #### setInputNeurons

          public void setInputNeurons(int count)

      Set the number of input neurons.
      Specified by:
        `setInputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - Neuron count.

    - #### setOutputNeurons

          public void setOutputNeurons(int count)

      Set the number of output neurons.
      Specified by:
        `setOutputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - Neuron count.

    - #### getActivationOutput

          public ActivationFunction getActivationOutput()

      Returns:
        the activationOutput

    - #### setActivationOutput

          public void setActivationOutput(ActivationFunction activationOutput)

      Parameters:
        `activationOutput` - the activationOutput to set

Copyright © 2014. All Rights Reserved.